<?php
function spp_slup_add_post_type() {
  $labels = array(
    'name' => _x(SPP_SLUP_PLUGIN_NAME, 'post type general name', 'spp-slideup'),
    'singular_name' => _x(SPP_SLUP_PLUGIN_NAME, 'post type singular name', 'spp-slideup'),
    'add_new' => _x('Add New', SPP_SLUP_PLUGIN_NAME, 'spp-slideup'),
    'add_new_item' => __('Add New '.SPP_SLUP_PLUGIN_NAME, 'spp-slideup'),
    'edit_item' => __('Edit '.SPP_SLUP_PLUGIN_NAME, 'spp-slideup'),
    'new_item' => __('New '.SPP_SLUP_PLUGIN_NAME, 'spp-slideup'),
    'all_items' => __('All '.SPP_SLUP_PLUGIN_NAME.'s', 'spp-slideup'),
    'view_item' => __('View '.SPP_SLUP_PLUGIN_NAME, 'spp-slideup'),
    'search_items' => __('Search '.SPP_SLUP_PLUGIN_NAME, 'spp-slideup'),
    'not_found' =>  __('No '.SPP_SLUP_PLUGIN_NAME.'s found', 'spp-slideup'),
    'not_found_in_trash' => __('No '.SPP_SLUP_PLUGIN_NAME.' found in Trash', 'spp-slideup'), 
    'parent_item_colon' => '',
    'menu_name' => __(SPP_SLUP_PLUGIN_NAME, 'spp-slideup')

  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => false,
    'show_ui' => true, 
    'show_in_menu' => true, 
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'has_archive' => true, 
    'hierarchical' => false,
    'menu_position' => null,
    'supports' => array( 'title', 'editor' )
  ); 
  register_post_type('spp_slideup', $args);
}
add_action( 'init', 'spp_slup_add_post_type' );
?>