<?php
/*
Plugin Name: SPP SlideUp
Plugin URI: http://sellplrplugins.com
Description: Creates a content bar that slides up from the bottom of the page
Version: 1.1.2
Author: Lynette Chandler
Author URI: http://techbasedmarketing.com
Stable tag: 1.1.2
*/

// Define constants
define( 'SPP_SLUP_DIR', plugin_dir_url( __FILE__) );
define( 'SPP_SLUP_PATH', dirname( __FILE__) );
define( 'SPP_SLUP_WP_DIR', get_bloginfo('wpurl') );
define( 'SPP_SLUP_PLUGIN_NAME', 'SlideUp' );

register_activation_hook( __FILE__, 'spp_slup_activate' );
function spp_slup_activate() {

$spp_slup_options = array(  
  'default_slideup' =>  '',
  'homepage_slideup' =>  '',
  'archive_slideup' =>  '',  
  'appearance' =>  'immediately',
  'delay_time' =>  5,
  'cookie' => 14
  );
  if( !get_option('spp_slup_options') ){
	update_option('spp_slup_options', $spp_slup_options );
  }

}

include('modules/cpt.php');
include('modules/settings.php');
include('modules/meta_box.php');
include('modules/hooks.php');
include('modules/scripts.php');
?>